#include "material.h"

inline void clone_Material( Material const* self, Material* clone ) {
	*clone = *self;
}

inline void setColor_Material( Material* self, float r, float g, float b, float a ) {
	self->color.x = r;
	self->color.y = g;
	self->color.z = b;
	self->color.t = a;
}

inline void setTextureCombine_Material( Material* self, TextureCombine tcombine ) {
	self->tcombine = tcombine;
}

inline Vector4f* getColor_Material( Material* self ) {
	return &self->color;
}

inline uint16_t getTextureId_Material( Material const* self ) {
	return self->tex_id;
}

inline TextureMapping getTextureMapping_Material( Material const* self ) {
	return self->tmapping;
}

inline TextureCombine getTextureCombine_Material( Material const* self ) {
	return self->tcombine;
}
