#include "stream.h"

void init_Stream( Stream* self, void* data, size_t size ) {
	self->data = data;
	self->size = size;
	reset_Stream( self );
}

void destroy_Stream( Stream* self ) {
	if( self ) {}
}

inline void reset_Stream( Stream* self ) {
	self->ofs = 0;
}

inline void* getData_Stream( Stream* self ) {
	return (uint8_t*)self->data + self->ofs;
}

inline void* extractElement_Stream( Stream* self, size_t size ) {
	void* ptr = (uint8_t*)self->data + self->ofs;
	self->ofs += size;

	return self->ofs <= self->size ? ptr : NULL;
}

