#ifndef SCENE_ACTION_H
#define SCENE_ACTION_H

#include <actmgr/actmgr.h>
#include <engine.h>
#include <main.h>

typedef struct {
	Engine*			engine;
	Player const*	player;
	float const*	angle;
} SceneActionArgs;

void init_scene_action( Time const* time, void* arg );
void handle_scene_action( Time const* time, void* arg );

#endif	/* SCENE_ACTION_H */
