#ifndef STREAM_H
#define STREAM_H

#include <types.h>

typedef struct {
	void*		data;
	size_t		size;
	uint32_t	ofs;
} Stream;

void init_Stream( Stream* self, void* data, size_t size );
void destroy_Stream( Stream* self );
void reset_Stream( Stream* self );
void* getData_Stream( Stream* self );
void* extractElement_Stream( Stream* self, size_t size );

#endif	/* STREAM_H */

