#ifndef AUDIODEVICE_H
#define AUDIODEVICE_H

#include <types.h>

typedef struct {
	uint32_t	samplingRate;
	void const*	source;
} AudioDevice;

void init_AudioDevice( AudioDevice* self );
uint32_t getSamplingRate_AudioDevice( AudioDevice const* self );
void setSamplingRate_AudioDevice( AudioDevice* self, uint32_t rate );
void const* getSource_AudioDevice( AudioDevice const* self );
void setSource_AudioDevice( AudioDevice* self, void const* source );

#endif	/* AUDIODEVICE_H */
