#include <sys/audiodevice.h>
#include <ultra64.h>

#define AUDIO_FREQUENCY	22050*2		//44100

void init_AudioDevice( AudioDevice* self ) {
	setSource_AudioDevice( self, NULL );
	setSamplingRate_AudioDevice( self, AUDIO_FREQUENCY );
}

uint32_t getSamplingRate_AudioDevice( AudioDevice const* self ) {
	return self->samplingRate;
}

void setSamplingRate_AudioDevice( AudioDevice* self, uint32_t rate ) {
	self->samplingRate = rate;
	osAiSetFrequency( rate );
}

void const* getSource_AudioDevice( AudioDevice const* self ) {
	return self->source;
}

void setSource_AudioDevice( AudioDevice* self, void const* source ) {
	self->source = source;
}
